# Generated by Django 3.0.2 on 2020-07-18 12:32

from asgiref.sync import async_to_sync
from channels_redis.core import RedisChannelLayer
from django.db import migrations
from django.conf import settings


def clear_channel_layer(prefix):
    config = settings.CHANNEL_LAYERS['default']['CONFIG'].copy()
    try:
        del config['prefix']
    except KeyError:
        pass

    def inner(apps, schema_editor):
        layer = RedisChannelLayer(**config, prefix=prefix)
        async_to_sync(layer.flush)()
    return inner


class Migration(migrations.Migration):

    dependencies = [
        ('hunter2', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(
            code=clear_channel_layer('asgi:'),
            reverse_code=clear_channel_layer('hunter2:channels'),
            elidable=True,
        )
    ]
